Subject: Re: bug#38841: Enhancement request: Make show_help a bool

From: Paul Eggert <[email-masked]>
Date: Tue, 31 Dec 2019 23:17:52 -0800

On 12/31/19 5:52 PM, Emil Engler wrote:
> Hi, why is "static int show_help on line65 in src/grep.c a int?

Its address is taken in a long_options initializer, where the context requires
an int *. You could have found that out by changing it to bool and trying to
compile.